apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    run: ghost 
  name: ghost-deploy-w-dynmc-nfs-vol
spec:
  replicas: 1
  selector:
    matchLabels:
      run: ghost
  template:
    metadata:
      labels:
        run: ghost
    spec:
      volumes:
      - name: www
        persistentVolumeClaim:
          claimName: ghost-nfs-pvc1
      containers:
      - image: ghost
        name: ghost
        volumeMounts:
        - name: www
          mountPath: /mnt
